Class | WSDL::XMLSchema::Include
In: | wsdl/xmlSchema/include.rb
Parent: | Info

### Methods

new parse_attr parse_element

### Attributes

content | [R] |
schemalocation | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/xmlSchema/include.rb, line 21
      def initialize
        super
        @schemalocation = nil
        @content = nil
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/xmlSchema/include.rb, line 31
      def parse_attr(attr, value)
        case attr
        when SchemaLocationAttrName
          @schemalocation = URI.parse(value.source)
          if @schemalocation.relative?
            @schemalocation = parent.location + @schemalocation
          end
          @content = import(@schemalocation)
          @schemalocation
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/xmlSchema/include.rb, line 27
      def parse_element(element)
        nil
      end

[Validate]